=== debian/control ===
Source: ros-indigo-roch-base
Section: misc
Priority: extra
Maintainer: Carl <carlzhang@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/roch_base
Standards-Version: 3.9.2

Package: ros-indigo-roch-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-controller-manager, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-diff-drive-controller, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-nodelet, ros-indigo-roch-control, ros-indigo-roch-description, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-topic-tools
Description: Soy Roch robot driver
